package io;

import java.io.*;
import tools.*;

public class TextWriter {

  PrintWriter out;
  public TextWriter(String fn) {
    try {
      out= new PrintWriter(new BufferedWriter(new FileWriter(fn)));
    }
    catch ( IOException excp ) {
      throw new ProgramException(
        "An output exception happened while opening file "+fn, excp);
    }
  }

  public void close() { out.close(); }
  public void flush() { out.flush(); }

  public void print(int n) { out.print(n); }
  public void print(double x) { out.print(x); }
  public void print(String s) { out.print(s); }
  public void println() { out.println(); }

  public void println(int n) { out.println(n); }
  public void println(double x) { out.println(x); }
  public void println(String s) { out.println(s); }
}
